
package de.ivu.elect.business.veranstaltung.control;

import static de.ivu.elect.business.wahl.entity.WahlParameterWerte.VERANSTALTUNG_IMPORT_CRONTAB;
import static de.ivu.elect.business.wahl.entity.WahlParameterWerte.VERANSTALTUNG_IMPORT_CSV_ANFUEHRUNGSZEICHEN;
import static de.ivu.elect.business.wahl.entity.WahlParameterWerte.VERANSTALTUNG_IMPORT_CSV_ANZAHL_KOPFZEILEN;
import static de.ivu.elect.business.wahl.entity.WahlParameterWerte.VERANSTALTUNG_IMPORT_CSV_TRENNZEICHEN;
import static de.ivu.elect.business.wahl.entity.WahlParameterWerte.VERANSTALTUNG_IMPORT_CSV_ZEICHENSATZ;
import static de.ivu.elect.business.wahl.entity.WahlParameterWerte.VERANSTALTUNG_IMPORT_ERFOLGREICH_VERZEICHNIS;
import static de.ivu.elect.business.wahl.entity.WahlParameterWerte.VERANSTALTUNG_IMPORT_FEHLER_VERZEICHNIS;
import static de.ivu.elect.business.wahl.entity.WahlParameterWerte.VERANSTALTUNG_IMPORT_VERZEICHNIS;
import static java.util.Arrays.asList;

import java.util.Collection;

import de.ivu.elect.business.datei.entity.CsvAnfuehrungszeichen;
import de.ivu.elect.business.datei.entity.CsvTrennzeichen;
import de.ivu.elect.business.datei.entity.CsvZeichensatz;
import de.ivu.elect.business.wahl.control.AbstractWahlParameterInit;
import de.ivu.elect.business.wahl.entity.Wahl;
import de.ivu.elect.business.wahl.entity.WahlParameter;
import de.ivu.elect.business.wahl.entity.Wahltermin;

public class VeranstaltungImportKonfigurationInit extends AbstractWahlParameterInit {

  public VeranstaltungImportKonfigurationInit() {
    super();
  }

  @Override
  public Collection<WahlParameter> createDefaultParameters(Wahltermin wahltermin, Wahl wahl) {
    return asList( //
        create(VERANSTALTUNG_IMPORT_CRONTAB, ""), //
        create(VERANSTALTUNG_IMPORT_VERZEICHNIS, ""), //
        create(VERANSTALTUNG_IMPORT_ERFOLGREICH_VERZEICHNIS, ""), //
        create(VERANSTALTUNG_IMPORT_FEHLER_VERZEICHNIS, ""), //
        create(VERANSTALTUNG_IMPORT_CSV_ANFUEHRUNGSZEICHEN, CsvAnfuehrungszeichen.DOPPELT.name()), //
        create(VERANSTALTUNG_IMPORT_CSV_ANZAHL_KOPFZEILEN, "0"), //
        create(VERANSTALTUNG_IMPORT_CSV_TRENNZEICHEN, CsvTrennzeichen.SEMIKOLON.name()), //
        create(VERANSTALTUNG_IMPORT_CSV_ZEICHENSATZ, CsvZeichensatz.UTF_8.name()) //
    );
  }
}
